> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://commify.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server.

# Add throttle schedule recipients

POST http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/{throttleScheduleId}/recipients
Content-Type: application/json

Reference: https://commify.ferndocs.com/api-reference/throttle-schedules/add-throttle-schedule-recipients

## Authentication

- `X-API-Key` header (required) — Your Commify API key.

## Request

### Path parameters

- `throttleScheduleId` (string, required)

### Headers

- `AccountReference` (string, required) — Mandatory AccountReference header

### Body (application/json)

This endpoint expects an AddThrottleScheduleRecipientsBody.

- `recipients` (list of AddThrottleScheduleRecipientsSingleRecipientRequest, optional, nullable)
- `contacts` (list of AddThrottleScheduleRecipientsSingleContactRequest, optional, nullable)

## Response

### 201

Created

- `data` (AddThrottleScheduleRecipientsResponse, optional, nullable)
- `errors` (list of ErrorDto, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ErrorDto, optional, nullable)

## Types

### AddThrottleScheduleRecipientsSingleRecipientRequest

- `msisdn` (string, optional, nullable)
- `variables` (map from string to string, optional, nullable)
- `metaData` (map from string to string, optional, nullable)

### AddThrottleScheduleRecipientsSingleContactRequest

- `contactId` (string, optional, nullable)

### AddThrottleScheduleRecipientsResponse

- `throttleScheduleId` (string, optional, nullable)
- `estimatedEndDateTime` (datetime, optional, nullable)
- `estimatedRateOfSend` (AddThrottleScheduleRecipientsResponseEstimatedRateOfSend, optional, nullable)
- `numberOfRecipients` (AddThrottleScheduleRecipientsResponseNumberOfRecipients, optional)
- `actualRateOfSend` (AddThrottleScheduleRecipientsResponseActualRateOfSend, optional, nullable)

### ErrorDto

- `errorCode` (string, required)
- `errorMessage` (string, required)
- `metadata` (map from string to string, optional, nullable)

### AddThrottleScheduleRecipientsResponseEstimatedRateOfSend

### AddThrottleScheduleRecipientsResponseNumberOfRecipients

### AddThrottleScheduleRecipientsResponseActualRateOfSend

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": null,
  "errors": null
}
```

**SDK Code**

```python
import requests

url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients"

payload = {}
headers = {
    "AccountReference": "AccountReference",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients';
const options = {
  method: 'POST',
  headers: {
    AccountReference: 'AccountReference',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("AccountReference", "AccountReference")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["AccountReference"] = 'AccountReference'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients")
  .header("AccountReference", "AccountReference")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients', [
  'body' => '{}',
  'headers' => [
    'AccountReference' => 'AccountReference',
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients");
var request = new RestRequest(Method.POST);
request.AddHeader("AccountReference", "AccountReference");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "AccountReference": "AccountReference",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/recipients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```